GET {{baseurl}}/bank-accounts/{{bankAccountId}}
- Staging
- Production
https://gw.stg.girostack.com/v1
https://gw.prod.girostack.com/v1
Headers
string
required
Pass your account’s secret key as the value.
Path Params
string
required
This is the bank account’s publicId.
curl --location '{{API_BASE_URL}}/bank-accounts/3bf02992-a9de-41dd-9cb1-243324567811' \
--header 'x-giro-key: {{SECRET_KEY}}' \
--header 'Content-Type: application/json' \
const fetch = require("node-fetch");
const url =
"{{API_BASE_URL}}/bank-accounts/3bf02992-a9de-41dd-9cb1-243324567811";
const headers = {
"x-giro-key": "{{SECRET_KEY}}",
"Content-Type": "application/json",
};
fetch(url, {
method: "GET",
headers: headers,
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error("Error:", error));
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => '{{API_BASE_URL}}/bank-accounts/3bf02992-a9de-41dd-9cb1-243324567811',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
'x-giro-key: {{SECRET_KEY}}',
'Content-Type: application/json'
)
));
$response = curl_exec($curl);
$httpcode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
if (curl_errno($curl)) {
echo 'Error: ' . curl_error($curl);
} else {
echo "Response Code: $httpcode\n";
echo $response;
}
curl_close($curl);
?>
{
"meta": {
"statusCode": 200,
"success": true
},
"data": {
"auth": "65b12bbf512f9932b67f53d7",
"account": "65b12bbf36e38c6bfbe35f95",
"accountName": "Salako Emmanuel",
"accountNumber": "0018730826",
"bankName": "Guaranty Trust Bank",
"bankCode": "058",
"reference": "9999992409440854616574301713288",
"live": true,
"processor": "source",
"publicId": "bka-a709ebef-da69-4570-b1ac-48031u4hd408c",
"id": 3,
"createdAt": "2024-09-13T07:56:16.775Z",
"updatedAt": "2024-09-13T07:56:16.775Z",
"currency": "NGN",
"lastUpdated": "2024-09-13T07:56:16.775Z",
"version": 1,
"beneficiaryType": "personal",
"clientIds": {}
}
}
{
"meta": {
"statusCode": 404,
"error": {
"statusCode": 404,
"message": "Data not found"
}
}
}